Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

[WIP] Minecraft 1.4.0=>1.3.0 downgrade Tool


  • Please log in to reply
24 replies to this topic

#1

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 31 March 2011 - 03:30 PM

I have made a tool to downgrade to 1.3, for these people that want to use mods that are not yet ported to 1.4

How to use:

1) Update the game. This use a unmodified 1.4 version. So this will not work if you mod your minecraft.jar file.

2) download this file, and put it on %APPDATA%\.minecraft\bin\
http://zerror.com/mo... ... 14to13.dat

3) download this file, and uncompress it on %APPDATA%\.minecraft\bin\
http://zerror.com/mo... ... detool.zip

4) runs go.bat

5) Run the game normally now, BUT DON'T ENTER YOUR LOGIN DETAILS!, write wrong your login or pass. Then use "play offline".

6) Enjoy minecraft 1.3

--Tei.

Caveat:
This works for me, If it don't work for you, sorry. I want to know if don't work for you, and I may help if you are able to provide some deep information.

Notes:
This use bsdiff to patch the game. You can get the source of bsdiff, or bsdiff itsel here:
http://www.pokorra.d...ing/bsdiff.html

Notes2:
I made a release in 2 separate files, since.. well.. this way in future releases only p15to14.dat need to be release... and since generating it is very simple (as simple as using bsdiff )anyone can do it, not just me, so this mod can last longer than my attention span (that is very short, anyway ) :Skeleton:

Register or log in to remove.

#2

Henkipje
  • Location: Eindhoven, Netherlands
  • Minecraft: henkipje

Posted 31 March 2011 - 04:37 PM

Omg, yay, 1.4 is out... ?
I like cheese.....
Dont forget to click the green +

#3

M3TALHEAD

Posted 31 March 2011 - 04:43 PM

I need this downgrade :iapprove: ' i cant conenct anymore on my server heeeeeeelp

#4

drfakeacc

Posted 31 March 2011 - 04:44 PM

Tei said:

I post this just to announce the proyect.
Using the code of "Minecraft Vintage Edition" I plan to create a tool to downgrade from 1.4 to 1.3.
The collection of software that runs with 1.3 is enormeous, so I could see how some people would want to downgrade to use some specific mod.

Obviusly, I need 1.4.0 to be relased before releasing this tool :(

--Tei.
If you use so much software for 1.3, why should one upgrade in the first place?
You certainly don't have to.

#5

algnip
    algnip

    Carpenter

  • Members
  • 44 posts
  • Minecraft: algnip

Posted 31 March 2011 - 04:45 PM

M3TALHEAD said:

I need this downgrade :( ' i cant conenct anymore on my server heeeeeeelp

same, is there anyway we can rewind the update

#6

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 31 March 2011 - 04:46 PM

M3TALHEAD said:

I need this downgrade :( ' i cant conenct anymore on my server heeeeeeelp

As soon I get home, sorry!

:D

#7

Albnicas

Posted 31 March 2011 - 04:48 PM

Yeah get this down grade out asap, my fucking server says "Out Dated" and all my lovely mods... gone! D:

#8

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 31 March 2011 - 05:12 PM

benben582 said:

IF you want the downgrade. Delete your bin folder in .minecraft then replace it with this one,

....

Then when it asks to update hit not now and your all set =) Thank me later XD

If that file has the original minecraft.jar, you sould delete it.

Also, Is not as good idea as you think, because distributing complete minecraft.jar files could result on stolen passwords.  There is a better way to do things than that :D

#9

benben582

Posted 31 March 2011 - 05:19 PM

Tei said:

benben582 said:

IF you want the downgrade. Delete your bin folder in .minecraft then replace it with this one,

....

Then when it asks to update hit not now and your all set =) Thank me later XD

If that file has the original minecraft.jar, you sould delete it.

Also, Is not as good idea as you think, because distributing complete minecraft.jar files could result on stolen passwords.  There is a better way to do things than that :P


Yea I know its just a backup bin file I had incase something like this happened. Its just a way to get people by. =)

#10

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 31 March 2011 - 05:24 PM

benben582 said:

Yea I know its just a backup bin file I had incase something like this happened. Its just a way to get people by. =)

NP mate. I don't mind.  

:P

#11

Staraptor737

Posted 31 March 2011 - 05:39 PM

It didn't give me an updating choice.
I AM SO AWESOME IM AWESOME
Posted Image

#12

terrax
    terrax

    Out of the Water

  • Members
  • 6 posts

Posted 31 March 2011 - 06:00 PM

Go to: %APPDATA%\.minecraft\bin
Backup: minecraft.jar
Delete: minecraft.jar

Take: minecraft-1.3.1.jar (depends on the version you want to downgrade)
Rename it to: minecraft.jar
Delete: options.txt
Launch: minecraft.exe

#13

poodoo138
  • Location: Your moms house

Posted 31 March 2011 - 06:46 PM

Wolves are annoying.
I want Single Player Commands (Doest work with 1.4)
My server won't work.

Please make the tool Dx
Posted Image Posted Image

Posted Image


#14

dooffie66

Posted 31 March 2011 - 06:50 PM

NOOES! the link dosen't work :S any one that can re upload?

#15

sapz
    sapz

    Out of the Water

  • Members
  • 2 posts

Posted 31 March 2011 - 07:12 PM

Hello guys, I've made a video how to downgrade, check it out. and hope it'll help you!


:VV:  :VV:  :VV:
:tnt:  :tnt:  :tnt:
:tnt:  :)  :tnt:
:tnt:  :tnt:  :tnt:

#16

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 31 March 2011 - 07:26 PM

I have already uploaded my tool.

As soon is confirmed to work, can these people posting minecraft.jar files delete his post, or remove these links?
It will be unnecesary, and is against the rules of the forum.

--Tei

#17

BONA1049
    BONA1049

    Out of the Water

  • Members
  • 8 posts

Posted 31 March 2011 - 07:37 PM

How could I do this on mac?

#18

Tei
    Tei

    Diamond Miner

  • Members
  • 700 posts

Posted 31 March 2011 - 07:42 PM

BONA1049 said:

How could I do this on mac?

I don't have a mac to test it. But It can work this way:

1) You install/download/something a  bsdiff tool.  Google tell me such tool exist for mac, but I have no idea how you manage to install it.

2) you run in console something like this:*
cp minecraft.jar mine14.jar
bspatch mine14.jar mine13.jar patch14to13.dat
cp mine13.jar minecraft.jar

3) theres not step 3!.

Realistically, the hard part is getting bsdiff in Mac, and I can't help you there.

Maybe you can open a console and type  bspatch[ENTER], is possible that you already have it!.


* on the folder where the real minecraft.jar file is located.

#19

chzcake111

Posted 31 March 2011 - 08:08 PM

poodoo138 said:

Wolves are annoying.
I want Single Player Commands (Doest work with 1.4)
My server won't work.

Please make the tool Dx
How are the wolves annoying? If you give them bones they become your pet and fight with you(not against creepers) and I can barely find any. I found one but he fell off a cliff and died.... :(

#20

BONA1049
    BONA1049

    Out of the Water

  • Members
  • 8 posts

Posted 31 March 2011 - 08:13 PM

Tei said:

BONA1049 said:

How could I do this on mac?

I don't have a mac to test it. But It can work this way:

1) You install/download/something a  bsdiff tool.  Google tell me such tool exist for mac, but I have no idea how you manage to install it.

2) you run in console something like this:*
cp minecraft.jar mine14.jar
bspatch mine14.jar mine13.jar patch14to13.dat
cp mine13.jar minecraft.jar

3) theres not step 3!.

Realistically, the hard part is getting bsdiff in Mac, and I can't help you there. Terminal has the cd and bspatch commands.

Maybe you can open a console and type  bspatch[ENTER], is possible that you already have it!.


* on the folder where the real minecraft.jar file is located.

What is the mine14.jar and the mine13.jar? Terminal has a cp and a bspatch tool. This is very much appreciated!